[Unit]
Description             =in4 zabbix agent


## DEPS ## 
 #Conflicts=, # Wants=,  # Before=, # PartOf=, #OnFailure=,  #PropagatesReloadTo=, ReloadPropagatedFrom=
 Requires               = network.target
 #nss-lookup.target network.target time-sync.target systemd-modules-load.service 
 After                  = network.target
 #nss-lookup.target network.target time-sync.target systemd-modules-load.service 
 Conflicts              = zabbix-agent.service 
##

## DEPS - AFTER IN4.TARGET## 
 #Requires              = in4.target
 #After                 = in4.target
##


## MISC ## 
 #StopWhenUnneeded      = true
 #ConditionPathExists   =
##

[Service]
 
## TYPE ##
Type=forked
##

## EXECS ##
 ExecStart              = /usr/sbin/zabbix-agentd -f -c /media/sysdata/in4/platform/v5/landscape/logitoring--c/monitoring--o/zabbix--f/zabbix-agent/dsl/main--s/zabbix-agentd.conf
 PIDFile                = /run/zabbix/zabbix-agentd.pid


 #ExecStartPre   = /bin/bash -c "/usr/bin/systemctl set-environment FQDN=`hostname -f`"
 ExecStartPre   = /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"unknown", "action":"start", "subaction":"pre", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #ExecStartPost = 
 ExecStartPost  = /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"started", "action":"start", "subaction":"post", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #ExecStopPost  = 
 ExecStopPost   = /bin/sh /media/sysdata/in4/platform/in4_core/internals/helpers/syslog_wrapper.sh cee 'cee@: {"status":"stopped", "action":"stop", "subaction":"post", "type":"systemd", "unit":"%N", "prefix":"%P", "rundir":"%t", "user":"%u", "uid":"%U", "host":"%H", "machid":"%m", "kernel":"%v"}'
 
 #loging -  "instance":"%I"
##
 
## PERMISSIONS ##
 #WorkingDirectory      = 
 User                   = zabbix
 Group                  = zabbix
 SupplementaryGroups = sysdata
 #UMask                 = 
##

## MISC ##
 Restart                        = always
 RestartSec             = 30
 PrivateTmp             = no
 TimeoutSec             = 15 
##

## SYSLOG ##
 SyslogIdentifier       =in4_zabbixa
 SyslogFacility = local7
 SyslogLevel            = info
 #SyslogLevelPrefix     = false #Can be disabled for ...
##
 

## SECURITY ##
 ProtectSystem  = full
 ProtectHome            = true
 #AppArmorProfile       = 
 #PAMName               = 
 #SecureBits            = 
 #Capabilities          = 
 #ReadWriteDirectories=, ReadOnlyDirectories=, InaccessibleDirectories=
##
 

## LIMITS ##
 Nice                           = 0
 OOMScoreAdjust         = -1000
 IOSchedulingClass      = best-effort
 IOSchedulingPriority   = 1
 LimitNOFILE                 = 65535
 #LimitMEMLOCK=infinity #For DB's
 #MemoryLimit           = 
 #BlockIOReadBandwidth = 
 #BlockIOWriteBandwidth = 
## 

 
[Install]
WantedBy                        = multi-user.target
#Alias=
#RequiredBy=, #Alias = 

## IN4 - WANTEDBY
#WantedBy                       = in4.target
##
